> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniakey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# OpenAI 兼容 API

> 通过 OmniaKey 的 OpenAI 兼容端点调用 Claude、GPT、Gemini 模型。

OpenAI 兼容 base URL：

```text theme={null}
https://api.omniakey.com/v1
```

## Chat Completions

`POST /v1/chat/completions` 可以通过 model id 调用支持的 Claude、GPT、Gemini。

```bash theme={null}
curl https://api.omniakey.com/v1/chat/completions \
  -H "Authorization: Bearer your-omniakey-api-key" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "claude-opus-4-8",
    "messages": [{"role": "user", "content": "Explain what a race condition is."}]
  }'
```

## Responses

`POST /v1/responses` 使用 OpenAI Responses 格式，适合 Codex 类 GPT workflow。Claude
或 Gemini 默认使用 Chat Completions，除非你的工具明确要求其他协议。

`POST /v1/responses/compact` 可用于支持 Responses compaction 的客户端。

## 模型列表

`GET /v1/models` 返回 OpenAI 兼容模型列表。完整可读目录见 [支持模型](/cn/models)。
